Bug 43837 - Unexpected Error MT0000 when building in Release configuration and targeting a device (not sim)
Summary: Unexpected Error MT0000 when building in Release configuration and targeting ...
Status: VERIFIED FIXED
Alias: None
Product: iOS
Classification: Xamarin
Component: General (show other bugs)
Version: master
Hardware: PC Windows
: High blocker
Target Milestone: 10.0.0 (C8)
Assignee: Manuel de la Peña [MSFT]
URL:
Depends on:
Blocks:
 
Reported: 2016-08-29 17:39 UTC by Kyle White
Modified: 2016-08-31 12:26 UTC (History)
4 users (show)

Tags:
Is this bug a regression?: ---
Last known good build:

Notice (2018-05-24): bugzilla.xamarin.com is now in read-only mode.

Please join us on Visual Studio Developer Community and in the Xamarin and Mono organizations on GitHub to continue tracking issues. Bugzilla will remain available for reference in read-only mode. We will continue to work on open Bugzilla bugs, copy them to the new locations as needed for follow-up, and add the new items under Related Links.

Our sincere thanks to everyone who has contributed on this bug tracker over the years. Thanks also for your understanding as we make these adjustments and improvements for the future.


Please create a new report on Developer Community or GitHub with your current version information, steps to reproduce, and relevant error messages or log files if you are hitting an issue that looks similar to this resolved bug and you do not yet see a matching new report.

Related Links:
Status:
VERIFIED FIXED

Description Kyle White 2016-08-29 17:39:22 UTC
Should be really simple to reproduce. Create an iOS app, select Release configuration, select Device as target, observe the error.

Build output: https://gist.github.com/kdubau/0929cf012fa277bd7c1fb44b7609c8c8

Environment info and XS Ide log:
https://gist.github.com/anonymous/cca73e36a408a970bc9860851a64dd26
Comment 1 Sebastien Pouliot 2016-08-29 18:25:41 UTC
That should have been fixed by https://github.com/xamarin/xamarin-macios/pull/701

merged in xamarin-macios/master 30bd2ad5b3189a63f5e4f4a5cd894867e05e8c94

Please try this build and re-open if it still fails. Thanks!
Comment 3 Kyle White 2016-08-29 20:49:01 UTC
Yep, same issue.
Comment 4 Peter Collins 2016-08-30 17:51:37 UTC
@Manuel / @Sebastien - The fix doesn't seem to have applied, Atin and I are still able to reproduce using builds which should contain that change.

Build output:
https://gist.github.com/pjcollins/fa8801f52d82f5fce76126481f06ad14

Environment:
macOS 10.11.6
XI Version: 9.11.0.122 (Xamarin Enterprise)
Hash: e5bdbdd
Branch: master
Comment 5 Manuel de la Peña [MSFT] 2016-08-31 08:19:33 UTC
We have a PR that fixes the issue here: https://github.com/xamarin/xamarin-macios/pull/718
Comment 6 Manuel de la Peña [MSFT] 2016-08-31 09:30:10 UTC
PR landed, there are some details I'll fix in a second PR, but this should not longer be an issue.